/*!
*  @file CreatureTrait.cpp
*  @brief ゲーム中のクリーチャー特性を定義する
*  @date 2013/12/22
*  @author Deskull
*  2013 Sikabane Works.
*/

#include "stdafx.h"
#include "CreatureTrait.h"

namespace Deeangband
{
	CreatureTrait::CreatureTrait(void) : CreatureTemplate()
	{
	}

	CreatureTrait::~CreatureTrait(void)
	{

	}

	void CreatureTrait::WipeData(void)
	{
		CreatureTemplate::WipeData();
	}

	bool CreatureTemplate::HasSkill(TAG tag)
	{
		//! TODO スキル所持判定の実装
		return TRUE;
	}

}
